Move the mouse cursor to the specified coordinates on the browser instance
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/move_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x": 123,
"duration_ms": 2525,
"hold_keys": [
"<string>"
],
"smooth": true,
"true": 123
}
'import requests
url = "https://api.onkernel.com/browsers/{id}/computer/move_mouse"
payload = {
"x": 123,
"duration_ms": 2525,
"hold_keys": ["<string>"],
"smooth": True,
"true": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({x: 123, duration_ms: 2525, hold_keys: ['<string>'], smooth: true, true: 123})
};
fetch('https://api.onkernel.com/browsers/{id}/computer/move_mouse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browser Computer Controls
Move the mouse cursor to the specified coordinates on the browser instance
POST
/
browsers
/
{id}
/
computer
/
move_mouse
Move the mouse cursor to the specified coordinates on the browser instance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
X coordinate to move the cursor to
Target total duration in milliseconds for the mouse movement when smooth=true. Omit for automatic timing based on distance.
Required range:
50 <= x <= 5000Modifier keys to hold during the move
Use human-like Bezier curve path instead of instant mouse movement.
Y coordinate to move the cursor to
Response
Mouse cursor moved
⌘I